<?php
/*
Plugin Name: WP-PLUGIN Takeover
Description: Takeover
Author: wp-plugin.co.il
Version: 1
*/

add_action('admin_menu', 'takeover_create_menu');
function takeover_create_menu() {
add_menu_page('takeover Plugin Settings', 'WP-Plugin Takeover', 'administrator', __FILE__, 'takeover_settings_page');
add_action( 'admin_init', 'register_mysettings' );
}

function register_mysettings() {
register_setting( 'takeover-settings-group', 'active' );	
register_setting( 'takeover-settings-group', 'image' );
register_setting( 'takeover-settings-group', 'link' );
register_setting( 'takeover-settings-group', 'buttoncolor' );
register_setting( 'takeover-settings-group', 'buttontext' );
}
 	
function takeover_settings_page() {
?>
<div class="wrap">
<h2>WP-Plugin Takeover</h2>
<form method="post" action="options.php">
<?php settings_fields( 'takeover-settings-group' ); ?>
<?php do_settings_sections( 'takeover-settings-group' ); ?>
<table class="form-table">
<tr valign="top">
<th scope="row">Active</th>
<td><input type="checkbox" name="active" value="1" <?php checked( '1', get_option( 'active' )); ?>/></td>
</tr>
<tr valign="top">
<th scope="row">Image url <br><small>Sample: http://website.com/myimage.png</small></th>
<td><input type="text" name="image" value="<?php echo esc_attr( get_option('image') ); ?>" /></td>
</tr>
<tr valign="top">
<th scope="row">Link</th>
<td><input type="text" name="link" value="<?php echo esc_attr( get_option('link') ); ?>" /></td>
</tr>
<tr valign="top">
<th scope="row">Button text</th>
<td><input type="text" name="buttontext" value="<?php echo esc_attr( get_option('buttontext') ); ?>" /></td>
</tr>
<tr valign="top">
<th scope="row">Button color<br><small>Sample: #0074FF</small></th>
<td><input type="text" name="buttoncolor" value="<?php echo esc_attr( get_option('buttoncolor') ); ?>" /></td>
</tr>
</table>
<?php submit_button(); ?>
</form>
</div>
<?php } 

function insert_code() {
if(get_option('active') and is_front_page()){

if(get_option('image') == ''){
		$takeoverImg = 'http://wp-plugin.co.il/plugin-takeover/bg.png';
	}else{
		$takeoverImg = get_option('image');
}

if(get_option('link') == ''){
		$takeoverLink = 'http://wp-plugin.co.il';
	}else{
		$takeoverLink = get_option('link');
}


if(get_option('buttoncolor') == ''){
		$takeoverButtoncolor = '#0074FF';
	}else{
		$takeoverButtoncolor = get_option('buttoncolor');
}


if(get_option('buttontext') == ''){
		$takeoverButtontext = 'x Close';
	}else{
		$takeoverButtontext = get_option('buttontext');
}


echo '
<style>
#takeover {display: none;}
@media screen and (min-width: 59.6875em) {
#takeover {
display:inline-block !important;
}
}
#takeover {
position: absolute;
top: 0;
left: 0px;
opacity: 1;
width: 100%;
}
.takeoverimg {
position: absolute;
opacity: 0;
z-index: 9998;
background: none;
border: 0;
padding: 0;
width: 100%;
opacity:0; 
-webkit-animation:fadeIn ease-in 1;
-moz-animation:fadeIn ease-in 1;
animation:fadeIn ease-in 1;
-webkit-animation-fill-mode:forwards; 
-moz-animation-fill-mode:forwards;
animation-fill-mode:forwards;
-webkit-animation-duration:0.7s;
-moz-animation-duration:0.7s;
animation-duration:0.7s;
-webkit-animation-delay: 0.7s;
-moz-animation-delay: 0.7s;
animation-delay: 0.7s;
}
@-webkit-keyframes fadeIn { from { opacity:0; } to { opacity:1; } }
@-moz-keyframes fadeIn { from { opacity:0; } to { opacity:1; } }
@keyframes fadeIn { from { opacity:0; } to { opacity:1; } }
#close {
font-family: arial;
display: none;
z-index: 9999;
font-weight: bold;
position: fixed;
top: 27px;
background-color: '.$takeoverButtoncolor.';
right: 27px;
padding-left: 8px;
padding-right: 8px;
padding-top: 4px;
padding-bottom: 4px;
cursor: pointer;
color: #fff;
border-radius: 5px;
font-size: 19px;
opacity:0; 
-webkit-animation:fadeIn ease-in 1;
-moz-animation:fadeIn ease-in 1;
animation:fadeIn ease-in 1;
-webkit-animation-fill-mode:forwards; 
-moz-animation-fill-mode:forwards;
animation-fill-mode:forwards;
-webkit-animation-duration:0.7s;
-moz-animation-duration:0.7s;
animation-duration:0.7s;
-webkit-animation-delay: 0.7s;
-moz-animation-delay: 0.7s;
animation-delay: 0.7s;
}
</style>
<div id="takeover">
<a href ="'.$takeoverLink.'"><img src="'.$takeoverImg.'" border="0" class="takeoverimg"></a>
<div id="close">'.$takeoverButtontext.'</div>
</div>
<script>
(function($) {
$("#close").click(function(){
$("#takeover").remove();
});
})(jQuery);	

jQuery(document).ready(function($) {
function openbtn(){
jQuery("#close").css("display","inline")
}
setTimeout(openbtn,800);
});
</script>
';
}
}

add_action('wp_footer', 'insert_code');
?>